org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration

## Class EventStrategy.TransactionalEventQueue

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.decoration.EventStrategy.TransactionalEventQueue

- All Implemented Interfaces:
    EventStrategy.EventQueue
  Enclosing class:
    EventStrategy

      public static class EventStrategy.TransactionalEventQueue
      extends Object
      implements EventStrategy.EventQueue

  Stores events in a queue that builds up until the transaction is committed which then fires them in the order they were received.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionalEventQueue(Graph graph)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEvent(Event evt)` Add an event to the event queue.
    `void` | `setListeners(List<MutationListener> listeners)` Provide listeners to the queue that were given to the `EventStrategy` on construction.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionalEventQueue

          public TransactionalEventQueue(Graph graph)

  - ### Method Detail

    - #### addEvent

          public void addEvent(Event evt)

      Description copied from interface: `EventStrategy.EventQueue`
      Add an event to the event queue.
      Specified by:
        `addEvent` in interface `EventStrategy.EventQueue`

    - #### setListeners

          public void setListeners(List<MutationListener> listeners)

      Description copied from interface: `EventStrategy.EventQueue`
      Provide listeners to the queue that were given to the `EventStrategy` on construction.
      Specified by:
        `setListeners` in interface `EventStrategy.EventQueue`

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.